<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:background="@color/col_6f7"
    tools:context="com.zj365.health.act.tonguediagnosis.EditTongueInfoActivity">

    <include
        android:id="@+id/title"
        layout="@layout/title_white_bar"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        />

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        >

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical"
            >

            <com.ruffian.library.widget.RConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:background_normal="@color/white"
                app:corner_radius="8dp"
                android:layout_margin="@dimen/dp_12"
                >
                <com.ruffian.library.widget.RView
                    android:id="@+id/view"
                    android:layout_width="@dimen/dp_4"
                    android:layout_height="@dimen/dp_20"
                    app:corner_radius="@dimen/dp_2"
                    app:background_normal="@color/col_02c"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    android:layout_marginStart="@dimen/dp_16"
                    android:layout_marginTop="@dimen/dp_22"
                    />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="填写基础信息"
                    android:textColor="@color/col_313"
                    android:textSize="@dimen/dp_16"
                    android:textStyle="bold"
                    app:layout_constraintTop_toTopOf="@id/view"
                    app:layout_constraintBottom_toBottomOf="@id/view"
                    app:layout_constraintStart_toEndOf="@id/view"
                    android:layout_marginStart="@dimen/dp_10"
                    />

                <LinearLayout
                    android:id="@+id/llName"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_48"
                    android:orientation="horizontal"
                    app:layout_constraintTop_toBottomOf="@id/view"
                    android:layout_marginTop="@dimen/dp_6"
                    android:gravity="center_vertical"
                    android:paddingHorizontal="@dimen/dp_16"
                    >

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="*"
                        android:textColor="@color/col_2621"
                        android:textSize="@dimen/dp_11"
                        />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="姓名"
                        android:textColor="@color/col_313"
                        android:textSize="@dimen/dp_16"
                        android:paddingStart="@dimen/dp_4"
                        />

                    <EditText
                        android:id="@+id/etName"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@null"
                        android:paddingStart="@dimen/dp_16"
                        android:textSize="@dimen/dp_16"
                        android:textColor="@color/col_313"
                        android:textColorHint="@color/col_1B3"
                        android:hint="请输入姓名"
                        android:gravity="right"
                        android:maxLength="11"
                        />
                </LinearLayout>
                <View
                    android:layout_width="0dp"
                    android:layout_height="1dp"
                    android:background="@color/col_0f2"
                    app:layout_constraintTop_toBottomOf="@id/llName"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    android:layout_marginHorizontal="@dimen/dp_16"
                    />

                <LinearLayout
                    android:id="@+id/llSex"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_48"
                    android:orientation="horizontal"
                    app:layout_constraintTop_toBottomOf="@id/llName"
                    android:layout_marginTop="@dimen/dp_6"
                    android:gravity="center_vertical"
                    android:paddingHorizontal="@dimen/dp_16"
                    >

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="*"
                        android:textColor="@color/col_2621"
                        android:textSize="@dimen/dp_11"
                        />

                    <TextView
                        android:layout_width="0dp"
                        android:layout_weight="1"
                        android:layout_height="wrap_content"
                        android:text="性别"
                        android:textColor="@color/col_313"
                        android:textSize="@dimen/dp_16"
                        android:paddingStart="@dimen/dp_4"
                        />

                    <ImageView
                        android:id="@+id/ivSex"
                        android:layout_width="@dimen/dp_72"
                        android:layout_height="@dimen/dp_48"
                        android:paddingVertical="@dimen/dp_12"
                        android:src="@mipmap/xingbie_nan"
                        />


                </LinearLayout>
                <View
                    android:layout_width="0dp"
                    android:layout_height="1dp"
                    android:background="@color/col_0f2"
                    app:layout_constraintTop_toBottomOf="@id/llSex"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    android:layout_marginHorizontal="@dimen/dp_16"
                    />

                <LinearLayout
                    android:id="@+id/llAge"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_48"
                    android:orientation="horizontal"
                    app:layout_constraintTop_toBottomOf="@id/llSex"
                    android:layout_marginTop="@dimen/dp_6"
                    android:gravity="center_vertical"
                    android:paddingHorizontal="@dimen/dp_16"
                    >

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="*"
                        android:textColor="@color/col_2621"
                        android:textSize="@dimen/dp_11"
                        />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="年龄"
                        android:textColor="@color/col_313"
                        android:textSize="@dimen/dp_16"
                        android:paddingStart="@dimen/dp_4"
                        />

                    <EditText
                        android:id="@+id/etAge"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@null"
                        android:inputType="number"
                        android:paddingStart="@dimen/dp_16"
                        android:paddingEnd="@dimen/dp_4"
                        android:textSize="@dimen/dp_16"
                        android:textColor="@color/col_313"
                        android:textColorHint="@color/col_1B3"
                        android:hint="请输入年龄"
                        android:gravity="right"
                        android:maxLength="3"
                        />
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="岁"
                        android:textColor="@color/col_313"
                        android:textSize="@dimen/dp_16"
                        />
                </LinearLayout>
            </com.ruffian.library.widget.RConstraintLayout>

            <com.ruffian.library.widget.RConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:background_normal="@color/white"
                app:corner_radius="8dp"
                android:layout_margin="@dimen/dp_12"
                >
                <com.ruffian.library.widget.RView
                    android:id="@+id/view1"
                    android:layout_width="@dimen/dp_4"
                    android:layout_height="@dimen/dp_20"
                    app:corner_radius="@dimen/dp_2"
                    app:background_normal="@color/col_02c"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    android:layout_marginStart="@dimen/dp_16"
                    android:layout_marginTop="@dimen/dp_22"
                    />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="上传图片"
                    android:textColor="@color/col_313"
                    android:textSize="@dimen/dp_16"
                    android:textStyle="bold"
                    app:layout_constraintTop_toTopOf="@id/view1"
                    app:layout_constraintBottom_toBottomOf="@id/view1"
                    app:layout_constraintStart_toEndOf="@id/view1"
                    android:layout_marginStart="@dimen/dp_10"
                    />

                <LinearLayout
                    android:id="@+id/llTop"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/view1"
                    android:layout_marginTop="@dimen/dp_20"
                    android:paddingStart="@dimen/dp_16"
                    >

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:orientation="vertical"
                        >
                        <LinearLayout
                            android:id="@+id/llTongueTop"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:orientation="horizontal"
                            app:layout_constraintTop_toTopOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            >
                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="*"
                                android:textColor="@color/col_2621"
                                android:textSize="@dimen/dp_11"
                                />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="舌面照片"
                                android:textColor="@color/col_313"
                                android:textSize="@dimen/sp_15"
                                android:paddingStart="@dimen/dp_4"
                                />
                        </LinearLayout>

                        <com.ruffian.library.widget.RImageView
                            android:id="@+id/ivTongueTop"
                            android:layout_width="70dp"
                            android:layout_height="70dp"
                            android:src="@mipmap/changctup"
                            android:padding="1dp"
                            app:corner_radius="@dimen/dp_6"
                            android:scaleType="centerCrop"
                            android:layout_marginTop="@dimen/dp_10"
                            app:layout_constraintTop_toBottomOf="@id/llTongueTop"
                            app:layout_constraintStart_toStartOf="parent"
                            />

                        <ImageView
                            android:id="@+id/ivDeleteTop"
                            android:layout_width="18dp"
                            android:layout_height="18dp"
                            android:src="@mipmap/shangchu"
                            android:visibility="gone"
                            app:layout_constraintTop_toTopOf="@id/ivTongueTop"
                            app:layout_constraintEnd_toEndOf="@id/ivTongueTop"
                            android:padding="4dp"
                            />
                    </androidx.constraintlayout.widget.ConstraintLayout>


                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:orientation="vertical"
                        android:layout_marginStart="@dimen/dp_20"
                        >
                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="示例图"
                            android:textColor="@color/col_c7c"
                            android:textSize="@dimen/sp_15"
                            android:paddingStart="@dimen/dp_4"
                            />

                        <com.ruffian.library.widget.RImageView
                            android:layout_width="70dp"
                            android:layout_height="70dp"
                            android:src="@mipmap/img_tongue_top"
                            android:layout_marginTop="@dimen/dp_10"
                            />
                    </LinearLayout>

                </LinearLayout>


                <LinearLayout
                    android:id="@+id/llBottom"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/llTop"
                    android:layout_marginTop="@dimen/dp_20"
                    android:paddingStart="@dimen/dp_16"
                    android:paddingBottom="@dimen/dp_24"
                    >

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:orientation="vertical"
                        >
                        <LinearLayout
                            android:id="@+id/llTongueBottom"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:orientation="horizontal"
                            app:layout_constraintTop_toTopOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            >
                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="*"
                                android:textColor="@color/col_2621"
                                android:textSize="@dimen/dp_11"
                                />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="舌下照片"
                                android:textColor="@color/col_313"
                                android:textSize="@dimen/sp_15"
                                android:paddingStart="@dimen/dp_4"
                                />
                        </LinearLayout>

                        <com.ruffian.library.widget.RImageView
                            android:id="@+id/ivTongueBottom"
                            android:layout_width="70dp"
                            android:layout_height="70dp"
                            android:src="@mipmap/changctup"
                            android:padding="2dp"
                            app:corner_radius="@dimen/dp_6"
                            android:scaleType="centerCrop"
                            android:layout_marginTop="@dimen/dp_10"
                            app:layout_constraintTop_toBottomOf="@id/llTongueBottom"
                            app:layout_constraintStart_toStartOf="parent"
                            />

                        <ImageView
                            android:id="@+id/ivDeleteBottom"
                            android:layout_width="18dp"
                            android:layout_height="18dp"
                            android:src="@mipmap/shangchu"
                            android:visibility="gone"
                            app:layout_constraintTop_toTopOf="@id/ivTongueBottom"
                            app:layout_constraintEnd_toEndOf="@id/ivTongueBottom"
                            android:padding="4dp"
                            />
                    </androidx.constraintlayout.widget.ConstraintLayout>


                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:orientation="vertical"
                        android:layout_marginStart="@dimen/dp_20"
                        >


                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="示例图"
                            android:textColor="@color/col_c7c"
                            android:textSize="@dimen/sp_15"
                            android:paddingStart="@dimen/dp_4"
                            />

                        <com.ruffian.library.widget.RImageView
                            android:layout_width="70dp"
                            android:layout_height="70dp"
                            android:src="@mipmap/img_tongue_bottom"
                            android:layout_marginTop="@dimen/dp_10"
                            />
                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    app:layout_constraintTop_toBottomOf="@+id/llBottom"
                    app:layout_constraintStart_toStartOf="parent"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/dp_15"
                        android:textSize="@dimen/sp_15"
                        android:textColor="@color/col_2628"
                        android:text="温馨提示:"/>

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/dp_15"
                        android:layout_marginTop="@dimen/dp_7"
                        android:lineSpacingExtra="@dimen/dp_5"
                        android:textColor="@color/col_c7c"
                        android:textSize="@dimen/sp_15"
                        android:text="@string/shezheng_hint"/>

                </LinearLayout>

            </com.ruffian.library.widget.RConstraintLayout>

        </LinearLayout>

    </androidx.core.widget.NestedScrollView>

    <TextView
        android:id="@+id/tvSubmit"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_50"
        android:layout_marginHorizontal="@dimen/dp_24"
        android:layout_marginBottom="@dimen/dp_26"
        android:layout_marginTop="10dp"
        android:background="@drawable/shape_button_bg"
        android:gravity="center"
        android:textSize="@dimen/sp_18"
        android:textStyle="bold"
        android:text="提交"
        android:textColor="@color/white"
        />

</LinearLayout>